Subject: Re: [PATCH 0/4] for-each-ref: introduce seeking functionality via '--skip-until'

From: Junio C Hamano <[email-masked]>
Date: Wed, 02 Jul 2025 22:56:18 -0700

Patrick Steinhardt <[email-masked]> writes:

> Even more importantly though, a numeric offset would be invalidated by a
> concurrent write in case that write ends up inserting a ref in the range
> of commits you intend to skip now.

That argument cuts both ways, no?  You have shown up to some ref
which you remember in the last cycle, and then while you are
planning to formulate another query with --skip-until naming that
ref, somebody removes that ref, then what happens?  Or somebody
inserts a new ref that sorts earlier than the ref you stopped at the
last time.